Name:		gstreamer-vaapi
Version:	0.5.7
Release:	1%{?dist}
Summary:	A collection of VA-API based plugins for GStreamer and helper libraries
Group:		System Environment/Libraries
License:	LGPLv2+ and GPLv2+
URL:		http://gitorious.org/vaapi/gstreamer-vaapi/
Source0:	http://www.freedesktop.org/software/vaapi/releases/gstreamer-vaapi/gstreamer-vaapi-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libtool
BuildRequires:	gtk-doc
BuildRequires:	libX11-devel
BuildRequires:	libGL-devel
BuildRequires:	libva-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	gstreamer-devel
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	gstreamer-plugins-bad-free-devel

%description
Gstreamer-vaapi is a collection of VA-API based plugins for GStreamer
and helper libraries. vaapidecode is used to decode MPEG-2, MPEG-4,
H.264, VC-1, WMV3 videos to video/x-vaapi-surface surfaces, depending
on the underlying HW capabilities. vaapiconvert is used to convert from
video/x-raw-yuv pixels to video/x-vaapi-surface surfaces. vaapisink is
used to display video/x-vaapi-surface surfaces to the screen. 

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install-strip DESTDIR=%{buildroot}
find %{buildroot} -regex ".*\.la$" | xargs rm -f --
find %{buildroot} -regex ".*\.a$" | xargs rm -f --

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB NEWS README
%{_libdir}/*.so.*
%{_libdir}/gstreamer-0.10/*.so

%files devel
%defattr(-,root,root,-)
%doc README COPYING.LIB
%{_includedir}/gstreamer-0.10/gst/vaapi
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}*.pc

%changelog
* Sun Dec 08 2013 Nicolas Chauvet <kwizart@gmail.com> - 0.5.7-1
- Update to 0.5.7

* Fri Jan 27 2012 Sam Hegarty <hegarty.sam AT gmail.com - 0.2.9-0
- bump version
- update URLs
- update distname and dirname
- use the autogen.sh script instead of autoreconf

* Mon Nov 22 2010 Adam Williamson <adamwill AT shaw.ca> - 0.2.5-1
- final 0.2.5 (actually same as pre2)
- run ldconfig in post

* Tue Jul 20 2010 Adam Williamson <adamwill AT shaw.ca> - 0.2.5-0.1.pre2
- new release:
	+ Fix build with older VA-API 0.29-sds
	+ Fix decoding of some H.264 streams. e.g. Ice Age 2 trailer
	+ Fix VA/GLX support with texture-from-pixmap and GLX version < 1.3
- rediff ffmpeg_headers.patch

* Fri May 21 2010 Adam Williamson <adamwill AT shaw.ca> - 0.2.4-0.1.pre2
- initial release
